@charset "UTF-8";
/**
 * Variables
 */
/**
 * Mixins
 */
/**
 * Style
 */
html {
  height: 100%;
}

body {
  font-family: monospace;
  font-size: 1.2rem;
  line-height: 1.4rem;
  margin: 0;
  min-height: 100%;
}

body.dark {
  background: #212121 !important;
  color: white !important;
}
body.dark blockquote {
  color: rgba(255, 255, 255, 0.7);
  border-color: rgba(255, 255, 255, 0.7);
}
body.dark a {
  color: #2962FF;
}
body.dark code {
  background-color: rgba(255, 255, 255, 0.2) !important;
}
body.dark pre code {
  background-color: inherit !important;
}
body.dark time {
  color: rgba(255, 255, 255, 0.7) !important;
}
body.dark .footer-social-media a:after {
  color: rgba(255, 255, 255, 0.7) !important;
}
body.dark #toggle-theme {
  fill: white;
}

body[darkmode] {
  background: #212121 !important;
  color: white !important;
}
body[darkmode] blockquote {
  color: rgba(255, 255, 255, 0.7);
  border-color: rgba(255, 255, 255, 0.7);
}
body[darkmode] a {
  color: #2962FF;
}
body[darkmode] code {
  background-color: rgba(255, 255, 255, 0.2) !important;
}
body[darkmode] pre code {
  background-color: inherit !important;
}
body[darkmode] time {
  color: rgba(255, 255, 255, 0.7) !important;
}
body[darkmode] .footer-social-media a:after {
  color: rgba(255, 255, 255, 0.7) !important;
}
body[darkmode] #toggle-theme {
  fill: white;
}

html, body {
  background: white;
}

h1 {
  margin-bottom: 4rem;
}

h2 {
  margin-top: 4rem;
  margin-bottom: 1rem;
}

h3 {
  margin-top: 3rem;
  margin-bottom: 1rem;
}

header {
  padding: 2rem 0;
  margin: 0 auto;
  max-width: 750px;
  width: 95%;
}
header img {
  float: left;
  height: 4em;
  margin-right: 2em;
}

main {
  padding: 2rem 0;
  margin: 0 auto;
  max-width: 960px;
  width: 95%;
}

hr {
  text-align: center;
  border: 0;
}
hr:before {
  content: "//////";
}
hr:after {
  content: "//////";
}
hr[text]:after {
  content: " " attr(text) " " "//////";
}

a {
  color: #2962FF;
  text-decoration: underline;
}

blockquote {
  color: rgba(33, 33, 33, 0.7);
  border-left: 2px solid rgba(33, 33, 33, 0.7);
  padding: 0 1rem;
  margin: 2rem 0;
}

.footer-social-media a:after {
  content: " Ø";
  display: inline-block;
  margin: 0 10px;
  color: rgba(33, 33, 33, 0.7);
}
.footer-social-media a:last-child:after {
  display: none;
}

.chips span {
  background: #212121;
  padding: 3px 10px;
  border-radius: 1.4rem;
  color: white;
  margin: 0 3px;
}
.chips span.tag {
  background-color: rgba(0, 128, 0, 0.8);
}
.chips span.tag::before {
  content: "#";
}
.chips span.lang {
  background-color: rgba(255, 0, 0, 0.8);
}
.chips.chips-inline {
  display: inline-block;
}
.chips.chips-inline span {
  padding: 1px 8px;
}

article {
  position: relative;
}
article h3 {
  text-decoration: underline;
  text-decoration-thickness: 3px;
  transition: text-decoration-color 0.3s ease;
}
article:hover h3 {
  text-decoration-color: #2962FF;
}
article time {
  position: absolute;
  top: 2px;
  right: 0;
  color: rgba(33, 33, 33, 0.7);
}
article .chips span.lang {
  cursor: default;
}

main.article-content {
  position: relative;
}
main.article-content p {
  text-align: justify;
}
main.article-content img {
  display: block;
  max-width: 90%;
  margin: 1rem auto;
  max-height: 80vh;
}
main.article-content img + em {
  color: rgba(33, 33, 33, 0.7);
  text-align: center;
  display: block;
}
main.article-content code {
  background: #212121;
  color: white;
  padding: 1px 8px;
}
main.article-content pre {
  background: #212121 !important;
  color: white;
  padding: 1rem;
  overflow-x: auto;
  overflow-y: visible;
}
main.article-content .footnote-definition {
  padding: 0 1rem;
}
main.article-content .footnote-definition:target {
  background: yellow;
  color: #212121;
}
main.article-content .footnote-definition p {
  display: inline-block;
}

pre {
  padding: 0.5em;
}

footer {
  padding: 1rem 0;
  margin: 0 auto;
  max-width: 540px;
  text-align: center;
}

#toggle-theme {
  fill: #212121;
}
#toggle-theme svg {
  height: 24px;
  width: 24px;
  vertical-align: middle;
}
